Entity Stats Trend Report

This report shows the Stats values over time for the specified Entity.

Path Params
string
required

The name of the space (database) assigned to you.

string
required
Query Params
string
required

Controls when stats should be returned from (inclusive). Note that stats may not be available for the specified time, in which case it will return then nearest previous available stats. The parameter takes a string in the format YYYY, YYYYMM, YYYYMMDD, YYYYMMDD:HH, depending on the value of the interval parameter.

string
required

Controls when stats should be returned until (inclusive). Note that stats may not be available for the specified time, in which case it will end with then nearest earlier available stats time. The parameter takes a string in the format YYYY, YYYYMM, YYYYMMDD, YYYYMMDD:HH, depending on the value of the interval parameter.

string
enum
required

Controls the granularity of the timeline. Allowed values are HOUR, DAY, MONTH and YEAR. This field is used together with the 'from' and 'until' fields to build up the result. A maximum of 500 points in time is allowed per query, so setting 'from' to '202301', 'until' to '202312' and the 'interval' to 'MONTH' will return up to 12 points in time, whereas setting the 'interval' to 'DAY' will return up to 365 points in time. Note that when stats is not available for the exact interval point then the nearest preceeding stats may be returned.

Allowed:
grouping
array of strings

Optional grouping field. If specified, the returned stats will be a summary of all stats entries within the grouping for each point in time. Allowed values are:

  • 'statsKey' - returns one row per statsKey value
  • 'dim' - returns one row per dimension combination
  • 'dim_' followed by a dimension Id - returns one value for each value of the specified dimension.
Up to three (comma-separated) groupings can be specified, for example '?grouping=statsKey,dim_country'
grouping
string
enum
Defaults to TOTAL

Controls if the returned values for each time period should contain be the acumulated total or the delta for that time period.

Allowed:
string

Query field used to limit the result. Currently, only 'statsKey' and dimcombId are supported. The special values $ represents no value, and the statsKey value 'TOP' represents the top total row, so to only get the top total use qry=statsKey:TOP
Full Query Expressions are supported.

string

Optional Dimension Filter.
For example: dimf=language:en,sv;cmp:summer*;
Don't use together with the query parameter 'dimcombId', because they may conflict with each other

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json